%define anolis_release 1
%global pypi_name seaborn
%global pypi_version 0.13.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Statistical data visualization

License:        BSD-3-Clause license
URL:            https://github.com/mwaskom/seaborn
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  pytest

%description
Seaborn is a Python visualization library based on matplotlib. It provides a high-level 
interface for drawing attractive statistical graphics.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Seaborn is a Python visualization library based on matplotlib. It provides a high-level 
interface for drawing attractive statistical graphics.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pyproject_check_import
%pytest


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md licences/APPDIRS_LICENSE licences/HUSL_LICENSE licences/NUMPYDOC_LICENSE licences/PACKAGING_LICENSE licences/SCIPY_LICENSE
%doc README.md doc/README.md

%changelog
* Tue Jan 23 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.13.1-1
- Initial package.